@import "partials/variables.scss";

body {
  background-color: $colorGrey;
  font-family: $fontFamily;
  font-weight: $fontWeightBody;
  #site-header {
    width: 1200px;
    max-width: calc(100% - 30px);
    margin: 0px auto;
    padding-top: 40px;
    padding-bottom: 20px;
    border-bottom: 1px solid $colorBlack;
    .logo-area {
      width: 250px;
      display: inline-block;
      float: left;
      img {
        max-width: 100%;
        height: 30px;
      }
    }
    .navigation-area {
      width: calc(100% - 250px);
      display: inline-block;
      float: left;
      text-align: right;
      height: 30px;
      line-height: 30px;
      .menu-primary-menu-container {
        display: inline-block;
        ul {
          list-style: none;
          display: inline-block;
          li {
            display: inline-block;
            padding-left: 25px;
            padding-right: 25px;
            a {
              text-decoration: none;
              color: $colorBlack;
            }
            &.current_page_item {
              border-bottom: 1px solid black;
              padding-bottom: 22px;
            }
          }
        }
      }
      svg {
        display: inline-block;
        fill: black;
        cursor: pointer;
        &:hover {
          fill: blue;
        }
      }
    }
    .submenu {
      display: block;
      clear: both;
      position: relative;
      opacity: 0;
      height: 0px;
      transition: all 0.5s;
      &.opened {
        opacity: 1;
        height: auto;
      }
      .menu-secondary-menu-container {
        position: absolute;
        right: 0px;
        top: 21px;
        background: white;
        box-shadow: 0px 0px 19px #0000001f;
        ul {
          li {
            color: black;
            text-align: center;
            padding-top: 15px;
            padding-bottom: 15px;
            border-bottom: 1px solid lightgrey;
            padding-left: 25px;
            padding-right: 25px;
            &:last-child {
              border-bottom: none;
            }
            a {
              text-decoration: none;
              color: black;
            }
          }
        }
      }
    }
  }
  .wp-block-columns {
    margin: 0px auto;
    @media (min-width: 768px) {
      max-width: 1200px;
    }
    .wp-block-column {
      margin-top: 30px;
      margin-bottom: 30px;
      padding-left: 15px;
      padding-right: 15px;
      @media (min-width: 1201px) {
        padding-left: 0px;
        padding-right: 0px;
      }
      h2 {
        font-size: 30px;
        margin-bottom: 20px;
      }
      p {
        line-height: 1.4;
        margin-bottom: 16px;
      }
      strong {
        font-weight: 600;
      }
    }
  }
  .wp-block-image {
    text-align: center;
    position: relative;
    img {
      width: 100%;
      height: auto;
    }
    figcaption {
      background-color: #000000bd;
      position: absolute;
      right: 15px;
      bottom: 0;
      padding: 15px;
      color: white;
      line-height: 1.4;
      text-align: left;
    }
  }
  #site-footer {
    border-top: 2px solid $colorBlack;
    padding-top: 25px;
    padding-bottom: 25px;
    overflow-x: auto;
    .footer-content {
      width: 100%;
      max-width: 1200px;
      margin: 0px auto;
      .copyright {
        width: 60%;
        float: left;
      }
      .navigation {
        width: 40%;
        float: left;
        ul {
          list-style: none;
          text-align: right;
          li {
            display: inline-block;
            margin-left: 15px;
            a {
              text-decoration: none;
              color: black;
            }
          }
        }
      }
    }
  }
}